<?php
ob_start();
$isIIS = ( isset($_SERVER['SERVER_SOFTWARE']) && strpos($_SERVER['SERVER_SOFTWARE'], 'Microsoft-IIS')!==false );
if(!$isIIS) opcache_reset();
if(!session_id()) session_start();

include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

if(isset($_GET['TipoDocumento']) && $_GET['TipoDocumento']) $TipoDocumento=$_GET['TipoDocumento'];
else if(isset($_POST['TipoDocumento']) && $_POST['TipoDocumento']) $TipoDocumento=$_POST['TipoDocumento'];

if(isset($_GET['Documento']) && $_GET['Documento']) $Documento=$_GET['Documento'];
else if(isset($_POST['Documento']) && $_POST['Documento']) $Documento=$_POST['Documento'];

if(isset($_GET['CodDocImpreso']) && $_GET['CodDocImpreso']) $CodDocImpreso=$_GET['CodDocImpreso'];
else if(isset($_POST['CodDocImpreso']) && $_POST['CodDocImpreso']) $CodDocImpreso=$_POST['CodDocImpreso'];

if(isset($_GET['Respuesta']) && $_GET['Respuesta']) $Respuesta=$_GET['Respuesta'];
else if(isset($_POST['Respuesta']) && $_POST['Respuesta']) $Respuesta=$_POST['Respuesta'];

if($TipoDocumento && $Documento && $CodDocImpreso && $Respuesta) {

	//DocImpresoConfirmacionUsuario(EMP,TipoDocumento,Documento,CodDocImpreso,Usuario,Respuesta)

	$peticion='DocImpresoConfirmacionUsuario#'.$_SESSION['empresa'].'#'.$TipoDocumento.'#'.$Documento.'#'.$CodDocImpreso.'#'.$_SESSION['usuario']['Usuario'].'#'.$Respuesta;
	$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
	
	//echo '<p>'.$peticion.'</p>';
	//print_r($resultado);
	
	echo $resultado[0]['Error'];

}
else echo '1#Error desconocido. Faltan parámetros';

?>